# This creates a policy condition for name enforcement

$cond = new-object ($dmf + 'Condition') $pol, "TablePattern2"
$cond.Facet = "IMultipartNameFacet"

# variables for the expression node
$optype_like = [Microsoft.SqlServer.Management.Dmf.OperatorType]::LIKE
$attr_name = new-object ($dmf + 'ExpressionNodeAttribute') "Name"
$const_fintbl = new-object ($dmf + 'ExpressionNodeConstant') "fintbl%"

$exp = new-object ($dmf + 'ExpressionNodeOperator') $optype_like, $attr_name, $const_fintbl

$cond.ExpressionNode = $exp
$cond.Create()
$cond